<html xmlns:th="http://www.thymeleaf.org" layout="http://www.ultraq.net.nz/thymeleaf/layout">
<head>
    <meta charset="UTF-8">
    <title>그랜드팬션|리뷰 게시판</title>
</head>
<!-- Bootstrap CSS -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta1/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-giJF6kkoqNQ00vy+HMDP7azOuL0xtbfIcaT9wjKHr8RbDVddVHyTfAAsrekwKmP1" crossorigin="anonymous">
<!--2. jQuery 파일-->
<script src="https://code.jquery.com/jquery-3.4.1.js" type="text/javascript"></script>
<!--부트스트랩 연결코드 -->
<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"/>

<link rel="stylesheet" type="text/css" href="https://stackpath.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css"/>
<!--css 연결 -->
<link rel="stylesheet" th:href="@{/css/board/list.css}" type="text/css">

<body>
<!-- ( 구역1 ) 비주얼영역-->
<div class = "master text-white text-center" >
    <h2 class = "lead1-list">Grand Pension</h2>
    <p class="lead2-list"> 리뷰 게시판 </p>
</div>
<div class="container">
    <div class="row">
        <div class="col-1">

        </div>
        <!-- form 오른쪽의 끝 -->
        <!-- form 본문 -->
        <div class="col-10">
            <form id="board" th:action="@{search}"  method="get">
                <a th:href="@{register}">글쓰기</a>
                <input type="text" name="keyword"/> <input type="submit" value="검색"/>
                <table class="table" style="border: 1px solid;">
                    <thead>
                    <tr>
                        <td style="border:1px solid;text-align:center;width:80px">번호</td>
                        <td style="border:1px solid;text-align:center;width:320px">제목</td>
                        <td style="border:1px solid; text-align: center;width:100px">작성자</td>
                        <td style="border:1px solid; text-align: center;width:180px">등록일자</td>


                    </tr>

                    </thead>

                    <tbody id="boardRows">

                    </tbody>
                </table>
            </form>

        </div>
    </div>

</div>


</body>
<!--자바스크립트
제이쿼리 : 자바스크립트를 편리하게 쓸 수 있는 도구
html이 로드되면 실행하는 함수
$ 제이쿼리 지시자 or Jquery(document).ready(function(){})

document -> 제이ㅝ리 객체 (document 는 html이라는 뜻임)
ready는 해당 document가 준비가 되었다면 function을 실행해라
ready라는 함수가 완료되면 function()실행해라
//html이 ㅇ로드되면 실행되는 함수
    //ready함수 안에 함수를 파라메터로 던지는데
    //ready함수가 완료되면 파라메터로 던져진 함수가 실행된다.
    //이렇게 특정 함수가 끝나면 실행될 목적을 가진 함수를 callback함수라고 한다.
    //ajax 를 통해서

-->

<script>

    function getBoard(){
    $.ajax({
            url: '/api/board/list',
            type : 'GET',
            dataType : 'json',
            data : null
    }).done(function (result){
           var tbody = $('#boardRows');
           //로드될때마다 기존 로딩된 데이터 지워서
           tbody.empty();
           //each (대상함수(인덱스 , 객체) {} ); each 가 대상에서 data 는 boardapi controller에 있는거임
           $.each(result.data, function(index,obj){
           var tr = $('<tr></tr>')
           var td = '';
           td += '<td style = "text-align:center">' + obj.boardNo+'</td>';
           td += '<td style = "text-align:left">' + obj.title+'</td>';
           td += '<td style = "text-align:left">' + obj.writer+'</td>';
           td += '<td style = "text-align:left">' + obj.regDate+'</td>';
            //apend tr에 넣는 다는 뜻 , tbody에 넣는다는 뜻
            tr.append(td);
            tbody.append(tr);

           })
    });
    }

    $(document).ready(function(){
     getBoard();
    })

</script>
</html>
